=== debian/changelog ===
lomiri-indicator-location (25.2.7-1) unstable; urgency=medium

  * Initial release. (Closes: #1095415)

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Feb 2025 18:12:45 +0100
