=== debian/control ===
Source: lomiri-indicator-location
Section: x11
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
    Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               dbus,
               debhelper-compat (= 13),
               intltool (>= 0.35.0),
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               liblomiri-app-launch-dev,
               liblomiri-url-dispatcher-dev,
               libproperties-cpp-dev,
               pkgconf,
# for systemd unit
               systemd-dev [linux-any],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-indicator-location
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-location.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-indicator-location

Package: lomiri-indicator-location
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Indicator controlling access to physical location data
 The Lomiri Location Indicator shows whether the system is using physical
 location data and allows the user to control the permissions on its use.
