=== data/CMakeLists.txt ===
--- 
+++ 
@@ -45,11 +45,11 @@
 ##
 
 # where to install
-set (UNITY_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/unity/indicators")
-message (STATUS "${UNITY_INDICATOR_DIR} is the Unity Indicator install dir")
+set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
+message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana System Indicator install dir")
 
-set (UNITY_INDICATOR_NAME "com.lomiri.indicator.location")
-set (UNITY_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${UNITY_INDICATOR_NAME}")
+set (AYATANA_INDICATOR_NAME "com.lomiri.indicator.location")
+set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")
 
-install (FILES "${UNITY_INDICATOR_FILE}"
-         DESTINATION "${UNITY_INDICATOR_DIR}")
+install (FILES "${AYATANA_INDICATOR_FILE}"
+         DESTINATION "${AYATANA_INDICATOR_DIR}")
