=== debian/changelog ===
lomiri-indicator-location (25.4.22-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_Fix-desktop-profiles-and-add-greeter-support.patch. Let location
      indicator alreay appear in Lomiri Greeter (and allow enabling/disabling
      location service access before login).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 15 Jun 2025 21:31:22 +0200

lomiri-indicator-location (25.4.22-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 1001 and 1003. Both applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Apr 2025 10:25:02 +0200
