## lomiri-indicator-location 25.10.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project (lomiri-indicator-location)
-cmake_minimum_required (VERSION 2.8.9)
+cmake_minimum_required (VERSION 3.10)
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
