=== tests/CMakeLists.txt ===

###
###  General setup
###

include_directories (${CMAKE_SOURCE_DIR})
#include_directories (${CMAKE_CURRENT_BINARY_DIR})

set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -g ${CC_WARNING_ARGS}")
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g ${CC_WARNING_ARGS}")

###
###  phone-test
###

set (TEST_NAME phone-test)
add_executable (${TEST_NAME} ${TEST_NAME}.cc)
add_test (${TEST_NAME} ${TEST_NAME})
add_dependencies (${TEST_NAME} ${SERVICE_LIB})
target_link_libraries (${TEST_NAME} ${SERVICE_LIB} GTest::gtest GTest::gtest_main ${SERVICE_DEPS_LIBRARIES})

###
###  globals
###

#set_property (TARGET ${ALL_TESTS}
#              APPEND PROPERTY LINK_LIBRARIES libindicator-location-service GTest::gtest GTest::gtest_main ${GCOV_LIBS})
#
#set_property (TARGET ${ALL_TESTS}
#              APPEND PROPERTY INCLUDE_DIRECTORIES ${CMAKE_SOURCE_DIR} ${SERVICE_INCLUDE_DIRS})
