=== debian/changelog ===
lomiri-indicator-location (25.10.2-1) unstable; urgency=medium

  * New upstream release.
    - Support building with CMake 4. (Closes: #1113241).
  * debian/patches:
    + Drop 0001_Fix-desktop-profiles-and-add-greeter-support.patch. Applied
      upstream.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Oct 2025 10:36:04 +0200
