=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                pkgconf,
 # for systemd unit
                systemd-dev [linux-any],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-indicator-location
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-location.git
